Subject: Re: [PATCH net v2 1/2] net: ll_temac: Fix DMA resources leak

From: Jakub Kicinski <[email-masked]>
Date: Tue, 7 Feb 2023 10:42:04 -0800

On Tue, 07 Feb 2023 12:36:11 +0100 Paolo Abeni wrote:
> You can either try change to phys type to __be32 (likely not suitable
> for -net and possibly can introduce even more warnings elsewhere)

FWIW that seems like the best option to me as well. Let's ignore the
sparse warning for v3 and try to switch phys to __be32 in a separate
patch for net-next. No point adding force casts just to have to remove
them a week later, given how prevalent the problem is.

> or explicitly cast the argument.